<CsoundSynthesizer>
<CsInstruments>
sr      = 44100
ksmps   = 20
nchnls  = 2

; p2 = start
; p3 = dur
; p4 = amp
; p5 = pitch (oct.pc)
;
; f1 = waveform
; f2 = amp env
; f3 = filt cf envelope (non-normalized)

instr 1
	kamp		oscil1i		0, 1, p3, 2
	aosc		oscili		p4*kamp, cpspch(p5), 1
	kcf		oscil1i		0, 1, p3, 3
	afilt		moogladder	aosc, kcf, 0.8
	outs	afilt, afilt
endin

</CsInstruments>
<CsScore>
f1 0 1024 7 1.0  1024  -1.0 ; sawtooth wave
f2 0 1024 27 0 0  200 1  800 1  1024 0
f3 0 1024 -27  0 300  512 2000 1024 700

i 1 0 2.5 10000 7.05

e
</CsScore>
</CsoundSynthesizer>
