<CsoundSynthesizer>
<CsInstruments>
sr      = 44100
ksmps   = 20
nchnls  = 2

; p2 = start
; p3 = dur
; p4 = amp
; p5 = pitch (oct.pc)
; p6 = low cf
; p7 = hi cf
; p8 = resonance (usually < 1)
;
; f1 = waveform
; f2 = amp env
; f3 = filt cf envelope

instr 1
	icfrange = p7 - p6

	kamp		oscil1i		0, 1, p3, 2
	aosc		oscili		p4*kamp, cpspch(p5), 1
	kcf		oscil1i		0, icfrange, p3, 3
	afilt		moogladder	aosc, kcf+p6, p8
	outs	afilt, afilt
endin

</CsInstruments>
<CsScore>
f1 0 1024 7 1.0  1024  -1.0 ; sawtooth wave
f2 0 1024 27 0 0  200 1  800 1  1024 0
f3 0 1024 27  0 0  512 1   1024 0

i 1 0 1.5 10000 7.05 300 2000 0.8
i 1 1.7 1.5 10000 7.00 400 3000 0.9
i 1 4.0 2.5 10000 6.00 100 4000 0.99

e
</CsScore>
</CsoundSynthesizer>
