<CsoundSynthesizer>
<CsInstruments>
sr      = 44100
ksmps   = 1
nchnls  = 2

/*
	p2 = start
	p3 = total duration
	p4 = amp
	p5 = pitch (oct.pc)
	p6 = grain dur

	f1 = waveform
	f2 = grain envelope
*/


instr 1
	igrsmps = p6 * sr
	igoto init
	goto continue

 init:
	kcount = 0

 continue:
	if (kcount < igrsmps) then
		aenv	oscili		1, 1/p6, 2
		aout 	oscili		p4*aenv, cpspch(p5), 1
	else
		aout = 0
	endif

	outs aout, aout
	kcount = kcount + 1
endin

</CsInstruments>
<CsScore>
f1 0 1024 10 1
f2 0 1024 20 1 ; hamming window

i 1 0 3.5 1000  8.00  0.1

e
</CsScore>
</CsoundSynthesizer>
